$ = jQuery
jQuery(document).ready(function () {


  jQuery('.menu-top-menu-container').meanmenu({
    meanMenuContainer: '.main-navigation',
    meanScreenWidth: "1023",
    meanRevealPosition: "right",
  });

  /*header search input*/
  $(".header-search-icon a").click(function(){
    $(".search-input ").toggleClass("active");
  });

  /* back-to-top button*/

  $('.back-to-top').hide();
  $('.back-to-top').on("click", function (e) {
    e.preventDefault();
    $('html, body').animate({
      scrollTop: 0
    }, 'slow');
  });
  $(window).scroll(function () {
    var scrollheight = 1800;
    if ($(window).scrollTop() > scrollheight) {
      $('.back-to-top').fadeIn();

    } else {
      $('.back-to-top').fadeOut();
    }
  });


  $('.testimonial-slider').slick({
    dots: true,
    infinite: true,
    speed: 600,
    autoplay: false,
    fade: false,
    arrows: false,
    slidesToShow: 2,
    responsive: [{
        breakpoint: 640,
        settings: {
          slidesToShow: 1
        }
      }
      // You can unslick at a given breakpoint now by adding:
      // settings: "unslick"
      // instead of a settings object
    ]
  });



  /*isotope*/
  /*active class adding and removing */
  $(".filters-button-group li ").click(function () {
    $(".filters-button-group  li.active").removeClass("active"), $(this).addClass("active")
  })
  /*isotope */
  var $isotop_container = $('.theme-filter .grid,.theme-demo-filter .grid').isotope({
    itemSelector: '.element-item',
    columnWidth: '.element-item',
    isFitWidth: true
  });

  $isotop_container.isotope({
    filter: '*'
  });

  // filter items on button click
  $('.filters-button-group').on('click', 'li', function () {
    var filterValue = $(this).attr('data-filter');
    $isotop_container.isotope({
      filter: filterValue
    });
  });
  // layout Isotope after each image loads
  $isotop_container.imagesLoaded().progress(function () {
    $isotop_container.isotope('layout');
  });

  // custom tab
  jQuery('.tabs .tab-links a').on('click', function (e) {
    var currentAttrValue = jQuery(this).attr('href');

    // Show/Hide Tabs
    jQuery('.tabs ' + currentAttrValue).fadeIn(400).siblings().hide();

    // Change/remove current tab to active
    jQuery(this).parent('li').addClass('active').siblings().removeClass('active');

    e.preventDefault();
  });





});